<?

sapp_include_once('common.php');

$dbname = sapp_get_param('dbname');
if (empty($dbname)) {
	$dbname = sapp_get_new_db_name('mysql');
}
$dbuser = sapp_get_param('dbuser');
if (empty($dbuser)) {
	$dbuser = sapp_get_new_db_user($dbuser, 'mysql');
}

?>

<fieldset>
	<legend><?=msg('installation_preferences')?></legend>

<table class="formFields" width="100%" cellspacing="0">

<? $locales = array("chinese_big5", "chinese_gb2312", "dutch", "english", "english_us", "french", "german", "hebrew", "hungarian",
   "indonesian", "italian", "korean", "polish", "portuguese", "russian_cp1251", "russian_koi8r", "spanish", "turkish");?>

<tr <?=sapp_is_wrong('locale') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-locale"><?=msg('locale')?> <?=REQ?></label></td>
	<td>
	<?
      		   $localeval = htmlspecialchars(sapp_get_param('locale'));
	?>
		<select name="locale" id="fid-locale">
		<?
                   foreach($locales as $key => $var):
                ?>
		<option value="<?=$var?>" <? if($localeval == $var):?>selected<?endif?>><?=$var?></option>
		<? endforeach; ?>
		</select>
		<span class="hint"><?=sapp_is_wrong('locale') ? sapp_get_wrong('locale') : ''?></span>
	</td>
</tr>

</table>


</fieldset>

<fieldset>
	<legend><?=msg('administrator_preferences')?></legend>

<table class="formFields" width="100%" cellspacing="0">

<tr <?=sapp_is_wrong('admin_fullname') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-admin_fullname"><?=msg('admin_fullname')?> <?=REQ?></label></td>
	<td>
		<input type="text" name="admin_fullname" id="fid-admin_fullname" value="<?=htmlspecialchars(sapp_get_param('admin_fullname'))?>">
		<span class="hint"><?=sapp_is_wrong('admin_fullname') ? sapp_get_wrong('admin_fullname') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('company_name') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-company_name"><?=msg('company_name')?> <?=REQ?></label></td>
	<td>
		<input type="text" name="company_name" id="fid-company_name" value="<?=htmlspecialchars(sapp_get_param('company_name'))?>">
		<span class="hint"><?=sapp_is_wrong('company_name') ? sapp_get_wrong('company_name') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('admin_name') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-admin_name"><?=msg('admin_name')?> <?=REQ?></label></td>
	<td>
		<input type="text" name="admin_name" id="fid-admin_name" value="<?=htmlspecialchars(sapp_get_param('admin_name'))?>">
		<span class="hint"><?=sapp_is_wrong('admin_name') ? sapp_get_wrong('admin_name') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('admin_email') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-admin_email"><?=msg('admin_email')?> <?=REQ?></label></td>
	<td>
		<input type="text" name="admin_email" id="fid-admin_email" value="<?=htmlspecialchars(sapp_get_param('admin_email'))?>">
		<span class="hint"><?=sapp_is_wrong('admin_email') ? sapp_get_wrong('admin_email') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('admin_passwd') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-admin_passwd"><?=msg('admin_passwd')?> <?=sapp_get_param('admin_passwd') ? '' : REQ?></label></td>
	<td>
		<input type="password" name="admin_passwd" id="fid-admin_passwd" value="">
		<span class="hint"><?=sapp_is_wrong('admin_passwd') ? sapp_get_wrong('admin_passwd') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('admin_confirm') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-admin_confirm"><?=msg('admin_confirm')?> <?=sapp_get_param('admin_passwd') ? '' : REQ?></label></td>
	<td>
		<input type="password" name="admin_confirm" id="fid-admin_confirm" value="">
		<span class="hint"><?=sapp_is_wrong('admin_confirm') ? sapp_get_wrong('admin_confirm') : ''?></span>
	</td>
</tr>

</table>

</fieldset>
